MP3 Joiner

Requirements

What MP3 Joiner needs to run on your PC.


Microsoft Windows. XP, Vista, 7 or 8

MP3 Joiner runs on Windows, it's been tested on XP, 7 and 8 - but it should work on all the others too.


Microsoft .NET 4.0 Client profile

MP3 Joiner requires Microsoft .NET 4.0 to be installed, available here: Microsoft .NET Framework 4 Client Profile (Web Installer)